Author Topic: Error while loading shard libraries in Linux  (Read 6768 times)

Chronic Logic - Josiah

  • Administrator
  • Hero Member
  • *****
  • Posts: 977
    • View Profile
Error while loading shard libraries in Linux
« on: September 25, 2006, 05:34:27 PM »
If you are getting an error while trying to start bcs that looks something like this:

/bcs: error while loading shared libraries: libcrypto.so.2: cannot open shared object file: No such file or directory

Here are some instructuctions for fixing it.

First if you have the Garage Games version make sure you have libcrypto and libssl installed.  No matter which version you have make sure you have libopenal installed.

Use the LDD command to see what libraries BCS is looking for:

ldd bcs

create a symbolic link from the version you have installed to the version it is looking for like this if your version is libssl.so.0.9.x :

ln -s /usr/lib/libssl.so.0.9.x /usr/lib/libssl.so.2

ln -s /usr/lib/libcrypto.so.0.9.x /usr/lib/libcrypto.so.2

(NOTE: the 'x' being whatever the users version number is, which can be seen
on the files found in the /usr/lib directory)

that will sort the libssl and libcrypto problem(s).

If you get an alutInit error:

LD_PRELOAD=/usr/lib/libalut.so.0 ./bcs

It seems that Linux distros like (k)Ubuntu use libalut.so.0 rather than
libalut.0 (i think it is).

This is the version of the OpenAL lib that BCS is looking for:
libopenal.so.0.0.7